from cassandra.cluster import Cluster, NoHostAvailable
import os
import sys
import time

if __name__== "__main__":
    contact_names = os.getenv("CONTACT_NAMES", "127.0.0.1").split(',')
    connection_retries = int(os.getenv("CONNECTION_RETRIES", 5))
    connection_timeout = int(os.getenv("CONNECTION_TIMEOUT", 30))
    connected = False
    for itry in range(1,connection_retries):
        try:
            cluster = Cluster(contact_names) # connect_timeout=30 doesn't work
            session = cluster.connect()
            connected = True
        except NoHostAvailable:
            print(f"Cannot connect to {contact_names}, retrying after {connection_timeout} seconds ...{itry}/{connection_retries} retries")
            time.sleep(connection_timeout)
            continue
    if connected:
        print(f"Connection to cassandra contact nodes {contact_names} successful")
    else:
        sys.exit(f"Max retries exceeded cannot connect to cassandra contact nodes: {contact_names}")
