#!/bin/bash
# Global variables
export MDCU=24

#SBATCH --job-name=fesom2.0
#SBATCH --ntasks=288
#SBATCH --time=00:30:00
#SBATCH -o slurm-out.out
#SBATCH -e slurm-err.out
#SBATCH --qos=debug

module purge
module load intel/2017.4 impi/2017.4 mkl/2017.4 bsc/1.0 netcdf/4.2
# Modules to use for OyCOMPSs
export COMPSS_PYTHON_VERSION=3
module load COMPSs/2.8
module load singularity/3.5.2
ulimit -s unlimited




# determine JOBID
# JOBID=`echo $SLURM_JOB_ID |cut -d"." -f1`

# cp -n ../bin/fesom.x .
ln -s ../bin/fesom.x .           
cp -n ../config/namelist.config  .
cp -n ../config/namelist.forcing .
cp -n ../config/namelist.oce     .
cp -n ../config/namelist.ice     .

# date
# srun --mpi=pmi2 -n 288 fesom.x > "fesom2.0.out"
# date

# qstat -f $PBS_JOBID
#export EXITSTATUS=$?
#if [ ${EXITSTATUS} -eq 0 ] || [ ${EXITSTATUS} -eq 127 ] ; then
#sbatch job_mistral
#fi


enqueue_compss \
    --pythonpath=$PWD \
    -t -g -d \
    --python_interpreter=python3 \
    --qos=debug \
    --num_nodes=1 \
    --exec_time=5 \
    --worker_in_master_cpus=2 \
    --worker_working_dir=shared_disk \
    $PWD/launch_model.py $PWD/config $PWD/output


set -x
echo Submitted job: $jobid
squeue -u $USER