import os
from os.path import join
import sys
from time import time

from pycompss.api.task import task
from pycompss.api.binary import binary
from pycompss.api.constraint import constraint
from pycompss.api.mpi import mpi
from pycompss.api.api import compss_wait_on
from pycompss.api.api import compss_barrier
from pycompss.api.parameter import *

# GLOBAL VARIABLES
cu = os.environ['MDCU']


# #################################### #
#     Step 1 tasks - Launch model      #
# #################################### #

# Baseline implementation for running FESOM2 model - alpha

# @constraint(computing_units=cu)
# @mpi(runner="mpirun", binary="mpi", computing_nodes="1")
# @task(namelist_config=FILE_IN,
#       namelist_forcings=FILE_IN,
#       namelist_oce=FILE_IN,
#       namelist_ice=FILE_IN,
#       execution_log=FILE_OUT)
# def run_simulation(mode='srun',
#                         verbose_flag='-v',
#                         em_flag='-s'):
#     # Command: srun --mpi=pmi2 -n 288 fesom.x > "fesom2.0.out"
#     pass

@binary(binary="srun")
@task(mpi={Prefix:"--mpi="},processors={Prefix:"-n "}, result={Type:FILE_OUT, StdIOStream:STDOUT} )
def run_simulation(mpi, processors, model_executable,  result):
    pass

# ############# #
# MAIN FUNCTION #
# ############# #

def main(config_path, output_path):
    print("Starting fesom2 execution")

        # Start counting time
    start_time = time()
    mpi_exe = 'pmi2'
    n_processors = "288"
    model_executable = "fesom.x"
    result="fesom2.0.out"
    run_simulation(mpi_exe,n_processors,model_executable,result)
       
    compss_barrier()
    elapsed_time = time() - start_time
    print("Elapsed time: %0.10f seconds." % elapsed_time)


if __name__ == '__main__':
    config_path = sys.argv[1]
    output_path = sys.argv[2]

    main(config_path, output_path)